Subject: Re: [tcpm] WGLC for draft-ietf-tcpm-undeployed-02

From: Pasi Sarolahti <[email-masked]>
Date: Mon, 3 Aug 2015 10:33:54 +0300

On 31 Jul 2015, at 20:04, Wesley Eddy <[email-masked]> wrote:

> My only small feedback is that I think we definitely should call out
> the TCPMUX part in the shepherd writeup or IETF LC text, since it has
> been discussed on the IETF main list in the past, and should be
> reviewed by applications-oriented people.  What we did is clearly the
> right thing for TCP (IMO), but someone out there may disagree, and we'd
> rather discuss with them during last call than after an RFC is out :).

Right, that’s a good point. We also discussed this in the TCPM list in the past, but I might have missed the discussion on the main list. Will try to reflect this appropriately in the write-up.

It might be helpful to be a bit more verbose about the reasoning in that part of the document. For example, "RFC 1078 destroys the semantics of TCP connection establishment.” would benefit from a few additional words explaining what this means. Also pointing to unspecified “security concerns” is a bit vague unless the text shortly clarifies what kind of security concerns there are.

- Pasi

---

From: "Scheffenegger, Richard" <[email-masked]>
Date: Tue, 4 Aug 2015 08:20:24 +0000

One additional comment to the content;

There is discussion in AQM about deprecation of RFC 3540 - the TCP Nonce bit, used in conjunction with ECT(1).

At the same time, the proposal of AccECN (where I'm a coauthor) does re-use that bit in different, but ECN-related ways, but without any connection to ECT(1).

There seems to be building concensus that burning ECT(1) for a minor, and undeployed, feature as ECN Nonce was not the best idea, OTOH, having 3 (or more) flag bits in the TCP header for ECN signaling is still useful.

So the question is, shall 3540 be included in this draft and made historic at this time?

Best regards,
  Richard

> -----Original Message-----
> From: tcpm [mailto:[email-masked]] On Behalf Of Pasi Sarolahti
> Sent: Montag, 03. August 2015 09:34
> To: Wesley Eddy
> Cc: [email-masked] Extensions
> Subject: Re: [tcpm] WGLC for draft-ietf-tcpm-undeployed-02
> 
> 
> > right thing for TCP (IMO), but someone out there may disagree, and
> > we'd rather discuss with them during last call than after an RFC is out
> :).
> 
> Right, that's a good point. We also discussed this in the TCPM list in the
> past, but I might have missed the discussion on the main list. Will try to
> reflect this appropriately in the write-up.
> 
> It might be helpful to be a bit more verbose about the reasoning in that
> part of the document. For example, "RFC 1078 destroys the semantics of TCP
> connection establishment." would benefit from a few additional words
> explaining what this means. Also pointing to unspecified "security
> concerns" is a bit vague unless the text shortly clarifies what kind of
> security concerns there are.
> 
> - Pasi
> 
> _______________________________________________
> tcpm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tcpm

---

From: "Zimmermann, Alexander" <[email-masked]>
Date: Tue, 4 Aug 2015 08:35:36 +0000

> Am 04.08.2015 um 10:20 schrieb Scheffenegger, Richard <[email-masked]>:
> 
> 

No, because the purpose of this document is completely different. From
the abstract:

This document reclassifies several TCP extensions and TCP-related
   documents that have either been superseded, never seen widespread
   use, or are no longer recommended for use to Historic status.

And from the introduction:

   Section 6 and 7.1 of the TCP Roadmap document [RFC7414] already
   classify a number of TCP extensions as "historic" and describes the
   reasons for doing so, but it does not instruct the RFC Editor to
   change the status of these RFCs in the RFC database.

   The purpose of this document is to do just that.

Alex

---

From: Pasi Sarolahti <[email-masked]>
Date: Tue, 4 Aug 2015 11:37:40 +0300

> So the question is, shall 3540 be included in this draft and made historic at this time?

Now that we are already in WGLC, I would not include it, and I don’t see any urgency to make it historic at this point. If AccECN specification goes forward re-using the bit, it could obsolete RFC 3540, if that is the consensus of the WG.

- Pasi

---

From: "Scheffenegger, Richard" <[email-masked]>
Date: Tue, 4 Aug 2015 09:03:23 +0000

Ok, sounds good to me!

Thanks Alex, Pasi!

> From: Pasi Sarolahti [mailto:[email-masked]]
> Sent: Dienstag, 04. August 2015 10:38
> To: Scheffenegger, Richard
> Cc: Wesley Eddy; Zimmermann, Alexander; [email-masked] Extensions
> Now that we are already in WGLC, I would not include it, and I don't see
> any urgency to make it historic at this point. If AccECN specification
> goes forward re-using the bit, it could obsolete RFC 3540, if that is the
> consensus of the WG.
> 
> - Pasi

---

From: Joe Touch <[email-masked]>
Date: Tue, 4 Aug 2015 10:21:26 -0700

> rather discuss with them during last call than after an RFC is out :).

I heartily agree. I don't think we'll get pushback from anyone who
actually uses it though; most of the confusion on the main list has been
from people who either heard about it long ago or just found it and
either way don't know it's been basically deprecated for decades or why.

Joe